### Method

# WebKit WebResource get_data_finish

#### Declaration [src]

    guchar*
    webkit_web_resource_get_data_finish (
      WebKitWebResource* resource,
      GAsyncResult* result,
      gsize* length,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with webkit_web_resource_get_data().

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`length` | `gsize*`
| Return location for the length of the resource data.
| The argument will be set by the function.
| The argument can be `NULL`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `guint8`
| A string with the data of `resource`, or `NULL` in case of error. if `length` is not `NULL`, the size of the data will be assigned to it.
| The length of the array is in the `length` argument.
| The caller of the method takes ownership of the data, and is responsible for freeing it.